function dudt=odeadapt(t,x,FW,beta,theta,gain,tau)
%1st order synapse
N=size(x,1)/2;u=x(1:N);a=x(N+1:end);
psi=real(ifft(FW.*fft(1./(1+exp(-beta*(u'-theta))))));
dudt=[(-u+psi'-a);(-a+gain*u)/tau];
%Alpha synapse
% N=size(x,1)/3;u=x(1:N);w=x(N+1:2*N);a=x(2*N+1:end);
% psi=real(ifft(FW.*fft(1./(1+exp(-beta*(u'-theta))))));
% dudt=[w;(-2*w-u+psi'-a);(-a+gain*u)/tau];